﻿using System.Collections.Generic;

namespace SharpRss.Models
{
    /// <summary>
    /// To store and load data from file/database
    /// </summary>
    public class CategoryModel
    {
        public CategoryModel(CategoryModel model)
        {
            Name = model.Name;
            Feeds = model.Feeds;
        }
        public CategoryModel(string name, HashSet<FeedModel> feeds)
        {
            Name = name;
            Feeds = feeds;
        }

        public string Name { get; set; }
        public HashSet<FeedModel> Feeds { get; set; }
    }
}
